Bug 1273400 - network interfaces does not get updated for vmware when provisioning a host
network interfaces does not get updated for vmware when provisioning a host
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity medium with 1 vote (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 07:28 EDT by Kedar Bidarkar
Modified: 2017-08-01 16:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:34:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6303 None None None 2016-04-22 11:50 EDT

  None (edit)
Description Kedar Bidarkar 2015-10-20 07:28:13 EDT
Description of problem:

network interfaces does not get updated for vmware when provisioning a host,

2015-10-20 07:11:23 [I] Processing by HostsController#create as */*
2015-10-20 07:11:23 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"AE8qmITkEkQWoVTMYqzq1jfVm1iFtGKlc13SQd1Iuvk=", "host"=>{"name"=>"pragrhel71v", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"1", "compute_resource_id"=>"1", "environment_id"=>"3", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "compute_attributes"=>{"cpus"=>"2", "corespersocket"=>"1", "memory_mb"=>"1024", "cluster"=>"CFME-ESX55-Cluster", "path"=>"/Datacenters/CFME/vm", "guest_id"=>"otherGuest64", "hardware_version"=>"vmx-10", "interfaces_attributes"=>{"new_interfaces"=>{"type"=>"VirtualE1000", "network"=>"dvportgroup-107686", "_delete"=>""}, "0"=>{"type"=>"VirtualVmxnet3", "network"=>"network-114404", "_delete"=>""}}, "volumes_attributes"=>{"new_volumes"=>{"datastore"=>"cfme-esx-55-01-local", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true", "eager_zero"=>"false", "_delete"=>""}, "0"=>{"datastore"=>"cfme-esx-55-01-local", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true", "eager_zero"=>"false", "_delete"=>""}}, "scsi_controller_type"=>"VirtualLsiLogicController", "start"=>"1"}, "domain_id"=>"1", "realm_id"=>"", "mac"=>"", "subnet_id"=>"1", "ip"=>"192.168.252.21", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"1", "operatingsystem_id"=>"1", "provision_method"=>"build", "build"=>"1", "medium_id"=>"7", "ptable_id"=>"7", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "hostgroup"=>{"lifecycle_environment_id"=>"2", "content_view_id"=>"2"}, "capabilities"=>"build image", "provider"=>"Vmware"}


network interface was updated to :

NIC Type => vmxnet3 and 
Network => SatResTest - 211

But upon editing the particular (vmware provisioned) Host the network interface still shows as :

NIC Type => vmxnet3 and 
Network => DPortGroup

On the vmware side the "SatResTest - 211" is shown disconnected.


This is results in the vm unable to get PXEboot.

Version-Release number of selected component (if applicable):
Satellite6.1.3 

How reproducible:


Steps to Reproduce:
1. Add a vmware compute resource
2. create a host and edit the network interface details.

Actual results:
'network' doesn't get updated correctly

Expected results:
'network' does get updated correctly

Additional info:
Comment 2 Brad Buckingham 2015-10-20 13:10:36 EDT
Kedar, is this with the newer version of fog?
Comment 3 Kedar Bidarkar 2015-10-28 06:13:50 EDT
This is with only Satellite6.1.3 no fog libs updated.
Comment 4 Bryan Kearney 2015-12-01 13:44:39 EST
Created redmine issue http://projects.theforeman.org/issues/12653 from this bug
Comment 5 Bryan Kearney 2015-12-02 15:05:51 EST
Connecting redmine issue http://projects.theforeman.org/issues/6303 from this bug
Comment 6 Bryan Kearney 2016-08-10 15:10:15 EDT
Upstream bug component is Compute Resources - VMWare
Comment 7 Bryan Kearney 2016-08-10 16:11:14 EDT
Upstream bug component is Compute Resources
Comment 8 Bryan Kearney 2016-08-10 18:11:01 EDT
Upstream bug component is Compute Resources - VMWare
Comment 9 pm-sat@redhat.com 2017-05-18 14:03:43 EDT
Upstream bug assigned to chrobert@redhat.com
Comment 10 Bryan Kearney 2017-08-01 16:34:56 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.